import { Fragment, h } from "@stencil/core";
export class FloatingWallet {
    constructor() {
        this.walletAddress = undefined;
        this.walletVisible = false;
        this.iframeIsLoading = true;
    }
    async setWalletVisible(visible) {
        this.walletVisible = visible;
    }
    dispatchIframeWindowReady(el) {
        this.iframeWindowReady.emit(el);
    }
    toggleWallet() {
        if (this.iframeIsLoading) {
            return;
        }
        this.walletVisible = !this.walletVisible;
    }
    iframeLoaded() {
        this.iframeIsLoading = false;
        this.walletVisible = true;
    }
    render() {
        return (h("div", { key: '4aa37238496ed2235a7c03276232fa193fe18ff9', class: "container", style: { height: this.walletVisible || this.iframeIsLoading ? '660px' : '60px' } }, h("div", { key: '53fa8cb28b6c646acd0a1c73218602d96d48cba8', class: "iframeContainer" }, h("div", { key: '040b255e0bb36e40cd1b601ad43c3a46b51d1aa5', style: { position: 'absolute', textAlign: 'center', width: '100%', visibility: this.iframeIsLoading ? 'visible' : 'hidden' } }, "Loading..."), h("iframe", { key: 'a9ca9dec043f61961b2b4d31fb083649bbd4e105', style: { visibility: this.walletVisible ? 'visible' : 'hidden' }, class: "iframe", onLoad: this.iframeLoaded.bind(this), ref: el => {
                this.dispatchIframeWindowReady(el);
            }, src: this.walletAddress })), h("div", { key: '1c4cc3a36deefddfd4ef3ad34d38e16338933e60', style: { position: 'absolute', bottom: '10px', width: '100%;' } }, h("button", { key: '4f35a0e88b385c00408b1601839b1960f7cd208a', onClick: this.toggleWallet.bind(this), class: "toggleButton" }, this.iframeIsLoading ? h(Fragment, null, "Loading...") : h(Fragment, null, "MultiversX Wallet ", this.walletVisible ? '-' : '+')))));
    }
    static get is() { return "floating-wallet"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["floating-wallet.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["floating-wallet.css"]
        };
    }
    static get properties() {
        return {
            "walletAddress": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "wallet-address",
                "reflect": false
            }
        };
    }
    static get states() {
        return {
            "walletVisible": {},
            "iframeIsLoading": {}
        };
    }
    static get events() {
        return [{
                "method": "iframeWindowReady",
                "name": "iframeWindowReady",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "HTMLIFrameElement",
                    "resolved": "HTMLIFrameElement",
                    "references": {
                        "HTMLIFrameElement": {
                            "location": "global",
                            "id": "global::HTMLIFrameElement"
                        }
                    }
                }
            }];
    }
    static get methods() {
        return {
            "setWalletVisible": {
                "complexType": {
                    "signature": "(visible: boolean) => Promise<void>",
                    "parameters": [{
                            "name": "visible",
                            "type": "boolean",
                            "docs": ""
                        }],
                    "references": {
                        "Promise": {
                            "location": "global",
                            "id": "global::Promise"
                        }
                    },
                    "return": "Promise<void>"
                },
                "docs": {
                    "text": "",
                    "tags": []
                }
            }
        };
    }
}
//# sourceMappingURL=floating-wallet.js.map
