import { h } from "@stencil/core";
export class OpenPopupNotification {
    constructor() {
        this.action = undefined;
        this.walletAddress = undefined;
    }
    consentClicked(answer) {
        this.popupConsent.emit(answer);
    }
    render() {
        return (h("div", { key: '9be266d5cb7652cde25efc52aa1f41727b89b96c', class: "container" }, ' ', h("div", { key: 'e6a48b5262c348353fcea5f3a8134b7ab8d14c7a', class: "content" }, h("div", { key: '3d6971913178d2b095725dc077486b0d4cce3277', class: "body" }, h("div", { key: '9009b778210a706d7017fe653ed6c1126a26795c', class: "title" }, "Confirm on MultiversX Wallet"), h("div", { key: '0c4ae95286ce1913a098602fefb65aa83565b3e3', class: "subtitle" }, "Continue to ", this.walletAddress, " to ", this.action, "?"), h("div", { key: '5f73b4201c9efaf8bfb27915442f19185600ef35', class: "actions-container" }, h("button", { key: '47cf4d84e8052024ea6556e8b5386ed6f9e3ac24', class: "button", onClick: () => this.consentClicked(false) }, "Cancel"), h("button", { key: '364e05c0fc6bdf1f068ac59fe531bee0d7598566', class: "button btn-proceed", onClick: () => this.consentClicked(true) }, "Continue \u2192"))))));
    }
    static get is() { return "open-popup-notification"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["open-popup-notification.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["open-popup-notification.css"]
        };
    }
    static get properties() {
        return {
            "action": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "action",
                "reflect": false
            },
            "walletAddress": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "wallet-address",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "popupConsent",
                "name": "popupConsent",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=open-popup-notification.js.map
